Package com.independentsoft.office.odf

# Class NamedExpression

java.lang.Object
com.independentsoft.office.odf.NamedElement
com.independentsoft.office.odf.NamedExpression

public class NamedExpression extends NamedElement
Represents an expression with a name.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `NamedExpression()`
  Initializes a new instance of the NamedExpression class.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `NamedExpression`
  `clone()`
  Creates a new object that is a deep copy of the current instance.
  `String`
  `getBaseCellAddress()`
  Gets an address of the base cell for relative addresses in formulas that occur within a condition.
  `String`
  `getExpression()`
  Gets the expression.
  `String`
  `getName()`
  Gets the name of the expression.
  `void`
  `setBaseCellAddress​(String baseCellAddress)`
  Sets an address of the base cell for relative addresses in formulas that occur within a condition.
  `void`
  `setExpression​(String expression)`
  Sets the expression.
  `void`
  `setName​(String name)`
  Sets the name of the expression.
  `String`
  `toString()`
  Converts the value of the current NamedExpression object to its equivalent string representation.

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### NamedExpression

    public NamedExpression()
    Initializes a new instance of the NamedExpression class.

- ## Method Details

  - ### clone

    public NamedExpression clone()
    Creates a new object that is a deep copy of the current instance.
    Specified by:
      `clone` in class `NamedElement`
    Returns:
      A new object that is a copy of this instance.

  - ### toString

    public String toString()
    Converts the value of the current NamedExpression object to its equivalent string representation.
    Overrides:
      `toString` in class `Object`
    Returns:
      the string

  - ### getName

    public String getName()
    Gets the name of the expression.
    Returns:
      the name

  - ### setName

    public void setName​(String name)
    Sets the name of the expression.
    Parameters:
      `name` - the new name

  - ### getExpression

    public String getExpression()
    Gets the expression.
    Returns:
      the expression

  - ### setExpression

    public void setExpression​(String expression)
    Sets the expression.
    Parameters:
      `expression` - the new expression

  - ### getBaseCellAddress

    public String getBaseCellAddress()
    Gets an address of the base cell for relative addresses in formulas that occur within a condition.
    Returns:
      the base cell address

  - ### setBaseCellAddress

    public void setBaseCellAddress​(String baseCellAddress)
    Sets an address of the base cell for relative addresses in formulas that occur within a condition.
    Parameters:
      `baseCellAddress` - the new base cell address